Bug 116902 - [PATCH] editors/biew: Fix build with gcc 4.2
Summary: [PATCH] editors/biew: Fix build with gcc 4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-04 14:40 UTC by Martin Wilke
Modified: 2007-10-05 23:00 UTC (History)
1 user (show)

See Also:


Attachments
biew-5.6.2.patch (5.56 KB, patch)
2007-10-04 14:40 UTC, Martin Wilke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Wilke freebsd_committer 2007-10-04 14:40:01 UTC
Fix build with gcc 4.2

Tindy tested:
i386
http://head.miwibox.org/tb/index.php?action=describe_port&id=2173
amd64
http://amd64.miwibox.org/tb/index.php?action=describe_port&id=1614



Added file(s):
- files/patch-biewlib-sysdep-ia16_cmn_ix86.c
- files/patch-biewlib-sysdep-ia32_aclib_template.c
- files/patch-biewlib_file_ini.c
- files/patch-biewlib_tw_clawss.c
- files/patch-biewlib_twin.c

Port maintainer (ryan@sasknow.com) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-10-04 14:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2007-10-04 14:40:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 trap 2007-10-05 16:03:47 UTC
Approved.

- Ryan

-----Original Message-----
From: Edwin Groothuis [mailto:edwin@FreeBSD.org] 
Sent: Thursday, October 04, 2007 7:40 AM
To: ryan@sasknow.com
Subject: Re: ports/116902: [PATCH] editors/biew: Fix build with gcc 4.2

Maintainer of editors/biew,

Please note that PR ports/116902 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/116902

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 dfilter service freebsd_committer 2007-10-05 22:54:33 UTC
miwi        2007-10-05 21:54:27 UTC

  FreeBSD ports repository

  Added files:
    editors/biew/files   patch-biewlib-sysdep-ia16_cmn_ix86.c 
                         patch-biewlib-sysdep-ia32_aclib_template.c 
                         patch-biewlib_file_ini.c 
                         patch-biewlib_tw_clawss.c 
                         patch-biewlib_twin.c 
  Log:
  - Fix build with gcc4.2
  
  PR:             116902
  Submitted by:   miwi
  Approved by:    maintainer
  Obtained from:  pkgsrc
  
  Revision  Changes    Path
  1.1       +11 -0     ports/editors/biew/files/patch-biewlib-sysdep-ia16_cmn_ix86.c (new)
  1.1       +33 -0     ports/editors/biew/files/patch-biewlib-sysdep-ia32_aclib_template.c (new)
  1.1       +48 -0     ports/editors/biew/files/patch-biewlib_file_ini.c (new)
  1.1       +10 -0     ports/editors/biew/files/patch-biewlib_tw_clawss.c (new)
  1.1       +14 -0     ports/editors/biew/files/patch-biewlib_twin.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2007-10-05 22:56:04 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!